{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Launch GZDoom",
            "type": "shell",
            "command": "${config:pth_gzdoom} +logfile \"${workspaceFolder}/.vscode/gzdoom.log\" -iwad ${config:pth_chex3} -file ${workspaceFolder} ${input:gzdoom_args}",
            "problemMatcher": []
        }
    ],
    "inputs": [
        {
            "id": "gzdoom_args",
            "description": "Additional arguments to pass to GZDoom",
            "type": "promptString",
            "default": ""
        }
    ]
}